package config

var (
	APP_PORT          int
	GRACEFULL_TIMEOUT int

	// DB
	DB_HOST,
	DB_USER,
	DB_PASSWORD,
	DB_NAME,
	DB_PORT,
	SALT_SECURITY string
)

func InitEnv() {
	DB_HOST = GetOrDefault("DB_HOST", "localhost")
	DB_USER = GetOrDefault("DB_USER", "")
	DB_PASSWORD = GetOrDefault("DB_PASSWORD", "")
	DB_NAME = GetOrDefault("DB_NAME", "")
	DB_PORT = GetOrDefault("DB_PORT", "")

	SALT_SECURITY = GetOrDefault("SALT_SECURITY", "legalgo")

	APP_PORT = GetOrDefault("APP_PORT", 3000)
	GRACEFULL_TIMEOUT = GetOrDefault("GRACEFULL_TIMEOUT", 10)
}
